tftp boot files as links are not accessible

12/20/2011 07:43 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

the installer generates links from /tftpboot/pxelinux.0 (for example) to the filesystem path.

however, most tftp servers limits access outside of tftproot directory, resulting with file not found tftp error.

a simple solution would be to copy the file instead of linking it. however it would require that puppet manifest is running every now

and then to comply with any future upgrades.

Associated revisions

Revision 7f17d07c - 01/15/2012 09:28 AM - Ohad Levy

fixes #1409 - tftp boot files as links are not accessible

History

#1 - 01/15/2012 09:14 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"77e83fd8207ecaba1ba3391f87eb766d4fbe875b".
